%define		module	EditObj2
Summary:	Useful tool for writing editors of all kinds
Summary(pl.UTF-8):	Narzędzie służące do tworzenia różnych edytorów
Name:		python-%{module}
Version:	0.5.1
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	https://pypi.python.org/packages/source/E/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	fd7c0c16bb70cdf5eaa30f0e47b16e4f
Patch0:		install.patch
URL:		http://www.lesfleursdunormal.fr/static/informatique/editobj/index_en.html
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-tkinter
Obsoletes:	python-EditObj
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EditObj can create and display a Tkinter dialog box for editing any
Python object (similarly to what Java call a Bean editor, but for
Python object). EditObj is a useful tool for writing (text or
non-text) editors of all kinds, including GUI editor and 3D editor.

%description -l pl.UTF-8
EditObj tworzy i wyświetla okno dialogowe Tkinter do edycji obiektów
Pythona (podobnie do edytora Java Bean, tylko dla objektów Pythona).
EditObj jest użytecznym narzędziem służącym do tworzenia różnych
edytorów (tekstowych lub nie), włącznie z edytorami GUI i 3D.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/editobj2
%{py_sitescriptdir}/editobj2/*.py[co]
%{py_sitescriptdir}/editobj2/icons
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/EditObj2-*.egg-info
%endif
%changelog
* Sun Jul 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-EditObj2.git;a=log;h=master

* Sun Jul 10 2016 Jan Rękorajski <baggins@pld-linux.org> ef31b66
- up to 0.5.1
- fixed icons install

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d985b34
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dcbc01c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1ae08a5
- automatic change: use py_build/py_install macros

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 9a0749e
- up to 0.4

* Thu Mar 10 2011 lisu <lisu@pld-linux.org> 1a580b1
- updated to 0.3
- python version specific egg-info
- adapterized

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 79cb0d8
- release 3

* Sat Nov 28 2009 Jacek Konieczny <jajcus@pld-linux.org> 7613ded
- Do not use %{py_sitedir} in noarch python packages!
- Release: 2

* Tue Mar 31 2009 lisu <lisu@pld-linux.org> 68d4200
- build noarch

* Tue Mar 31 2009 lisu <lisu@pld-linux.org> c4c2288
- 0.2.1

* Wed Dec 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 3ce4fc1
- macros for py_postclean

* Tue Dec 02 2008 lisu <lisu@pld-linux.org> be74168
- 0.2 version
- BRs: python-devel >= 2.5, rpm-pythonprov
- post cleaning
- added egg-info

* Fri Nov 28 2008 lisu <lisu@pld-linux.org> 796f671
- change name (python-EditObj.spec -> python-EditObj2.spec)
- version 0.1
- one more %%dir in %%files
- adapter

* Fri Nov 28 2008 lisu <lisu@pld-linux.org> 1ba12b6
- new URL

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ca47106
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dfb7a03
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 48d1972
- converted to UTF-8

* Wed Mar 30 2005 Michal Chruszcz <mchruszcz@gmail.com> 77d189f
- updated to 0.5.6
- unifications, cosmetics

* Thu Dec 16 2004 Adam Gołębiowski <adamg@pld-linux.org> d34dc43
- icons are placed in %%{py_sitescriptdir}

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> dc7c49b
- formatting

